using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using Core.Mes.ClientFrameWork;
using Core.Mes.IBaseInterface;
using System.Data;

namespace Core.XgMes.Client.JGKC.RollManager
{
	/// <summary>
	/// Frm_StuffMove 的摘要说明。
	/// </summary>
	public class Frm_StuffMove : Mes.ClientFrameWork.FrmBase
	{
		private System.Windows.Forms.Panel panel1;
		private Infragistics.Win.UltraWinToolbars.UltraToolbarsManager ultraToolbarsManager1;
		private Infragistics.Win.UltraWinToolbars.UltraToolbarsDockArea _panel1_Toolbars_Dock_Area_Left;
		private Infragistics.Win.UltraWinToolbars.UltraToolbarsDockArea _panel1_Toolbars_Dock_Area_Right;
		private Infragistics.Win.UltraWinToolbars.UltraToolbarsDockArea _panel1_Toolbars_Dock_Area_Top;
		private Infragistics.Win.UltraWinToolbars.UltraToolbarsDockArea _panel1_Toolbars_Dock_Area_Bottom;
		private Infragistics.Win.UltraWinEditors.UltraCheckEditor ultraCheckEditor1;
		private Infragistics.Win.Misc.UltraGroupBox ultraGroupBox1;
		private Infragistics.Win.UltraWinEditors.UltraCheckEditor chk_AllowFilter;
		private Infragistics.Win.UltraWinEditors.UltraTextEditor txt_ON;
		private Infragistics.Win.UltraWinEditors.UltraCheckEditor chk_ON;
		private Infragistics.Win.UltraWinEditors.UltraTextEditor txt_PlanNO;
		private Infragistics.Win.UltraWinEditors.UltraCheckEditor chk_PackNo;
		private Infragistics.Win.UltraWinEditors.UltraCheckEditor chk_YButtress;
		private Infragistics.Win.UltraWinGrid.UltraCombo cmb_Buress;
		private Infragistics.Win.UltraWinEditors.UltraCheckEditor chk_Area;
		private Infragistics.Win.UltraWinGrid.UltraCombo cmb_Area;
		private Infragistics.Win.Misc.UltraExpandableGroupBox ultraExpandableGroupBox1;
		private Infragistics.Win.Misc.UltraExpandableGroupBoxPanel ultraExpandableGroupBoxPanel1;
		private Infragistics.Win.Misc.UltraExpandableGroupBox ultraExpandableGroupBox2;
		private Infragistics.Win.Misc.UltraExpandableGroupBoxPanel ultraExpandableGroupBoxPanel2;
		private Infragistics.Win.UltraWinEditors.UltraTextEditor txt_Ramk;
		private Infragistics.Win.Misc.UltraLabel ultraLabel7;
		private Infragistics.Win.UltraWinGrid.UltraCombo cmb_BuressMove;
		private Infragistics.Win.Misc.UltraLabel ultraLabel6;
		private Infragistics.Win.UltraWinGrid.UltraCombo cmb_AreaC;
		private Infragistics.Win.Misc.UltraLabel ultraLabel5;
		private Infragistics.Win.UltraWinGrid.UltraCombo cmb_Stream;
		private Infragistics.Win.Misc.UltraLabel ultraLabel4;
		private Infragistics.Win.UltraWinGrid.UltraCombo cmb_Oreder;
		private Infragistics.Win.Misc.UltraLabel ultraLabel3;
		private Infragistics.Win.UltraWinGrid.UltraCombo cmb_B;
		private Infragistics.Win.Misc.UltraLabel ultraLabel2;
		private Infragistics.Win.UltraWinEditors.UltraTextEditor txt_GangpeiH;
		private Infragistics.Win.Misc.UltraLabel ultraLabel1;
		private Infragistics.Win.UltraWinGrid.UltraGrid gb_Stuff;
		private Infragistics.Win.UltraWinGrid.ExcelExport.UltraGridExcelExporter excelExporter;
		private System.ComponentModel.IContainer components;

		public Frm_StuffMove()
		{
			//
			// Windows 窗体设计器支持所必需的
			//
			InitializeComponent();

			//
			// TODO: 在 InitializeComponent 调用后添加任何构造函数代码
			//
		}

		/// <summary>
		/// 清理所有正在使用的资源。
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows 窗体设计器生成的代码
		/// <summary>
		/// 设计器支持所需的方法 - 不要使用代码编辑器修改
		/// 此方法的内容。
		/// </summary>
		private void InitializeComponent()
		{
            this.components = new System.ComponentModel.Container();
            Infragistics.Win.UltraWinToolbars.UltraToolbar ultraToolbar1 = new Infragistics.Win.UltraWinToolbars.UltraToolbar("工具栏");
            Infragistics.Win.UltraWinToolbars.ButtonTool buttonTool1 = new Infragistics.Win.UltraWinToolbars.ButtonTool("TZ");
            Infragistics.Win.UltraWinToolbars.ButtonTool buttonTool2 = new Infragistics.Win.UltraWinToolbars.ButtonTool("QUERY");
            Infragistics.Win.UltraWinToolbars.ButtonTool buttonTool3 = new Infragistics.Win.UltraWinToolbars.ButtonTool("DUCE");
            Infragistics.Win.UltraWinToolbars.ButtonTool buttonTool4 = new Infragistics.Win.UltraWinToolbars.ButtonTool("Close");
            Infragistics.Win.UltraWinToolbars.ButtonTool buttonTool5 = new Infragistics.Win.UltraWinToolbars.ButtonTool("Close");
            Infragistics.Win.UltraWinToolbars.ButtonTool buttonTool6 = new Infragistics.Win.UltraWinToolbars.ButtonTool("QUERY");
            Infragistics.Win.UltraWinToolbars.ButtonTool buttonTool7 = new Infragistics.Win.UltraWinToolbars.ButtonTool("TZ");
            Infragistics.Win.UltraWinToolbars.ButtonTool buttonTool8 = new Infragistics.Win.UltraWinToolbars.ButtonTool("DUCE");
            Infragistics.Win.Appearance appearance41 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance42 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance43 = new Infragistics.Win.Appearance();
            Infragistics.Win.UltraWinGrid.UltraGridBand ultraGridBand3 = new Infragistics.Win.UltraWinGrid.UltraGridBand("Band 0", -1);
            Infragistics.Win.UltraWinGrid.UltraGridColumn ultraGridColumn41 = new Infragistics.Win.UltraWinGrid.UltraGridColumn("OLD_SAMPL_NO");
            Infragistics.Win.UltraWinGrid.UltraGridColumn ultraGridColumn42 = new Infragistics.Win.UltraWinGrid.UltraGridColumn("SLAB_NO");
            Infragistics.Win.UltraWinGrid.UltraGridColumn ultraGridColumn43 = new Infragistics.Win.UltraWinGrid.UltraGridColumn("ORD_NO");
            Infragistics.Win.UltraWinGrid.UltraGridColumn ultraGridColumn44 = new Infragistics.Win.UltraWinGrid.UltraGridColumn("ORD_SEQ");
            Infragistics.Win.UltraWinGrid.UltraGridColumn ultraGridColumn45 = new Infragistics.Win.UltraWinGrid.UltraGridColumn("COIL_INDIA");
            Infragistics.Win.UltraWinGrid.UltraGridColumn ultraGridColumn46 = new Infragistics.Win.UltraWinGrid.UltraGridColumn("COIL_OUTDIA");
            Infragistics.Win.UltraWinGrid.UltraGridColumn ultraGridColumn47 = new Infragistics.Win.UltraWinGrid.UltraGridColumn("COIL_LEN");
            Infragistics.Win.UltraWinGrid.UltraGridColumn ultraGridColumn48 = new Infragistics.Win.UltraWinGrid.UltraGridColumn("COIL_THK");
            Infragistics.Win.UltraWinGrid.UltraGridColumn ultraGridColumn49 = new Infragistics.Win.UltraWinGrid.UltraGridColumn("COIL_WTH");
            Infragistics.Win.UltraWinGrid.UltraGridColumn ultraGridColumn50 = new Infragistics.Win.UltraWinGrid.UltraGridColumn("CAL_WGT");
            Infragistics.Win.UltraWinGrid.UltraGridColumn ultraGridColumn51 = new Infragistics.Win.UltraWinGrid.UltraGridColumn("ACT_WGT");
            Infragistics.Win.UltraWinGrid.UltraGridColumn ultraGridColumn52 = new Infragistics.Win.UltraWinGrid.UltraGridColumn("STL_GRD");
            Infragistics.Win.UltraWinGrid.UltraGridColumn ultraGridColumn53 = new Infragistics.Win.UltraWinGrid.UltraGridColumn("TOT_DEC_GRD");
            Infragistics.Win.UltraWinGrid.UltraGridColumn ultraGridColumn54 = new Infragistics.Win.UltraWinGrid.UltraGridColumn("BUTTRESS");
            Infragistics.Win.UltraWinGrid.UltraGridColumn ultraGridColumn55 = new Infragistics.Win.UltraWinGrid.UltraGridColumn("AREA");
            Infragistics.Win.UltraWinGrid.UltraGridColumn ultraGridColumn56 = new Infragistics.Win.UltraWinGrid.UltraGridColumn("REMARK");
            Infragistics.Win.UltraWinGrid.UltraGridColumn ultraGridColumn57 = new Infragistics.Win.UltraWinGrid.UltraGridColumn("HTDW");
            Infragistics.Win.UltraWinGrid.UltraGridColumn ultraGridColumn58 = new Infragistics.Win.UltraWinGrid.UltraGridColumn("STOVENO", 0);
            Infragistics.Win.UltraWinGrid.UltraGridColumn ultraGridColumn59 = new Infragistics.Win.UltraWinGrid.UltraGridColumn("BAHCT_NUMBER", 1);
            Infragistics.Win.UltraWinGrid.UltraGridColumn ultraGridColumn60 = new Infragistics.Win.UltraWinGrid.UltraGridColumn("FLAG", 2);
            Infragistics.Win.Appearance appearance44 = new Infragistics.Win.Appearance();
            Infragistics.Win.UltraWinGrid.SummarySettings summarySettings5 = new Infragistics.Win.UltraWinGrid.SummarySettings("", Infragistics.Win.UltraWinGrid.SummaryType.Sum, null, "CAL_WGT", 9, true, "Band 0", 0, Infragistics.Win.UltraWinGrid.SummaryPosition.UseSummaryPositionColumn, "CAL_WGT", 9, true);
            Infragistics.Win.Appearance appearance45 = new Infragistics.Win.Appearance();
            Infragistics.Win.UltraWinGrid.SummarySettings summarySettings6 = new Infragistics.Win.UltraWinGrid.SummarySettings("", Infragistics.Win.UltraWinGrid.SummaryType.Sum, null, "ACT_WGT", 10, true, "Band 0", 0, Infragistics.Win.UltraWinGrid.SummaryPosition.UseSummaryPositionColumn, "ACT_WGT", 10, true);
            Infragistics.Win.Appearance appearance46 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance47 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance48 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance49 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance50 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance51 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance52 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance53 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance54 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance55 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance56 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance57 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance58 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance59 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance60 = new Infragistics.Win.Appearance();
            this.panel1 = new System.Windows.Forms.Panel();
            this._panel1_Toolbars_Dock_Area_Left = new Infragistics.Win.UltraWinToolbars.UltraToolbarsDockArea();
            this.ultraToolbarsManager1 = new Infragistics.Win.UltraWinToolbars.UltraToolbarsManager(this.components);
            this._panel1_Toolbars_Dock_Area_Right = new Infragistics.Win.UltraWinToolbars.UltraToolbarsDockArea();
            this._panel1_Toolbars_Dock_Area_Top = new Infragistics.Win.UltraWinToolbars.UltraToolbarsDockArea();
            this._panel1_Toolbars_Dock_Area_Bottom = new Infragistics.Win.UltraWinToolbars.UltraToolbarsDockArea();
            this.ultraCheckEditor1 = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.ultraGroupBox1 = new Infragistics.Win.Misc.UltraGroupBox();
            this.cmb_Area = new Infragistics.Win.UltraWinGrid.UltraCombo();
            this.chk_Area = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.chk_AllowFilter = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.txt_ON = new Infragistics.Win.UltraWinEditors.UltraTextEditor();
            this.chk_ON = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.txt_PlanNO = new Infragistics.Win.UltraWinEditors.UltraTextEditor();
            this.chk_PackNo = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.chk_YButtress = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.cmb_Buress = new Infragistics.Win.UltraWinGrid.UltraCombo();
            this.ultraExpandableGroupBox1 = new Infragistics.Win.Misc.UltraExpandableGroupBox();
            this.ultraExpandableGroupBoxPanel1 = new Infragistics.Win.Misc.UltraExpandableGroupBoxPanel();
            this.txt_Ramk = new Infragistics.Win.UltraWinEditors.UltraTextEditor();
            this.ultraLabel7 = new Infragistics.Win.Misc.UltraLabel();
            this.cmb_BuressMove = new Infragistics.Win.UltraWinGrid.UltraCombo();
            this.ultraLabel6 = new Infragistics.Win.Misc.UltraLabel();
            this.cmb_AreaC = new Infragistics.Win.UltraWinGrid.UltraCombo();
            this.ultraLabel5 = new Infragistics.Win.Misc.UltraLabel();
            this.cmb_Stream = new Infragistics.Win.UltraWinGrid.UltraCombo();
            this.ultraLabel4 = new Infragistics.Win.Misc.UltraLabel();
            this.cmb_Oreder = new Infragistics.Win.UltraWinGrid.UltraCombo();
            this.ultraLabel3 = new Infragistics.Win.Misc.UltraLabel();
            this.cmb_B = new Infragistics.Win.UltraWinGrid.UltraCombo();
            this.ultraLabel2 = new Infragistics.Win.Misc.UltraLabel();
            this.txt_GangpeiH = new Infragistics.Win.UltraWinEditors.UltraTextEditor();
            this.ultraLabel1 = new Infragistics.Win.Misc.UltraLabel();
            this.ultraExpandableGroupBox2 = new Infragistics.Win.Misc.UltraExpandableGroupBox();
            this.ultraExpandableGroupBoxPanel2 = new Infragistics.Win.Misc.UltraExpandableGroupBoxPanel();
            this.gb_Stuff = new Infragistics.Win.UltraWinGrid.UltraGrid();
            this.excelExporter = new Infragistics.Win.UltraWinGrid.ExcelExport.UltraGridExcelExporter();
            this.panel1.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.ultraToolbarsManager1)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.ultraGroupBox1)).BeginInit();
            this.ultraGroupBox1.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.cmb_Area)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.txt_ON)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.txt_PlanNO)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.cmb_Buress)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.ultraExpandableGroupBox1)).BeginInit();
            this.ultraExpandableGroupBox1.SuspendLayout();
            this.ultraExpandableGroupBoxPanel1.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.txt_Ramk)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.cmb_BuressMove)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.cmb_AreaC)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.cmb_Stream)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.cmb_Oreder)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.cmb_B)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.txt_GangpeiH)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.ultraExpandableGroupBox2)).BeginInit();
            this.ultraExpandableGroupBox2.SuspendLayout();
            this.ultraExpandableGroupBoxPanel2.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.gb_Stuff)).BeginInit();
            this.SuspendLayout();
            // 
            // panel1
            // 
            this.panel1.Controls.Add(this._panel1_Toolbars_Dock_Area_Left);
            this.panel1.Controls.Add(this._panel1_Toolbars_Dock_Area_Right);
            this.panel1.Controls.Add(this._panel1_Toolbars_Dock_Area_Top);
            this.panel1.Controls.Add(this._panel1_Toolbars_Dock_Area_Bottom);
            this.panel1.Dock = System.Windows.Forms.DockStyle.Top;
            this.panel1.Location = new System.Drawing.Point(0, 0);
            this.panel1.Name = "panel1";
            this.panel1.Size = new System.Drawing.Size(840, 30);
            this.panel1.TabIndex = 0;
            // 
            // _panel1_Toolbars_Dock_Area_Left
            // 
            this._panel1_Toolbars_Dock_Area_Left.AccessibleRole = System.Windows.Forms.AccessibleRole.Grouping;
            this._panel1_Toolbars_Dock_Area_Left.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(229)))), ((int)(((byte)(229)))), ((int)(((byte)(215)))));
            this._panel1_Toolbars_Dock_Area_Left.DockedPosition = Infragistics.Win.UltraWinToolbars.DockedPosition.Left;
            this._panel1_Toolbars_Dock_Area_Left.ForeColor = System.Drawing.SystemColors.ControlText;
            this._panel1_Toolbars_Dock_Area_Left.Location = new System.Drawing.Point(0, 52);
            this._panel1_Toolbars_Dock_Area_Left.Name = "_panel1_Toolbars_Dock_Area_Left";
            this._panel1_Toolbars_Dock_Area_Left.Size = new System.Drawing.Size(0, 0);
            this._panel1_Toolbars_Dock_Area_Left.ToolbarsManager = this.ultraToolbarsManager1;
            // 
            // ultraToolbarsManager1
            // 
            this.ultraToolbarsManager1.DesignerFlags = 1;
            this.ultraToolbarsManager1.DockWithinContainer = this.panel1;
            this.ultraToolbarsManager1.ShowFullMenusDelay = 500;
            this.ultraToolbarsManager1.Style = Infragistics.Win.UltraWinToolbars.ToolbarStyle.VisualStudio2005;
            ultraToolbar1.DockedColumn = 0;
            ultraToolbar1.DockedRow = 0;
            ultraToolbar1.Text = "工具栏";
            buttonTool1.InstanceProps.IsFirstInGroup = true;
            buttonTool2.InstanceProps.IsFirstInGroup = true;
            buttonTool3.InstanceProps.IsFirstInGroup = true;
            buttonTool4.InstanceProps.IsFirstInGroup = true;
            ultraToolbar1.Tools.AddRange(new Infragistics.Win.UltraWinToolbars.ToolBase[] {
            buttonTool1,
            buttonTool2,
            buttonTool3,
            buttonTool4});
            this.ultraToolbarsManager1.Toolbars.AddRange(new Infragistics.Win.UltraWinToolbars.UltraToolbar[] {
            ultraToolbar1});
            this.ultraToolbarsManager1.ToolbarSettings.AllowCustomize = Infragistics.Win.DefaultableBoolean.False;
            buttonTool5.SharedProps.Caption = "关闭";
            buttonTool5.SharedProps.DisplayStyle = Infragistics.Win.UltraWinToolbars.ToolDisplayStyle.ImageAndText;
            buttonTool6.SharedProps.Caption = "查询";
            buttonTool6.SharedProps.DisplayStyle = Infragistics.Win.UltraWinToolbars.ToolDisplayStyle.ImageAndText;
            buttonTool7.SharedProps.Caption = "调整";
            buttonTool7.SharedProps.DisplayStyle = Infragistics.Win.UltraWinToolbars.ToolDisplayStyle.ImageAndText;
            buttonTool8.SharedProps.Caption = "导出";
            buttonTool8.SharedProps.DisplayStyle = Infragistics.Win.UltraWinToolbars.ToolDisplayStyle.ImageAndText;
            this.ultraToolbarsManager1.Tools.AddRange(new Infragistics.Win.UltraWinToolbars.ToolBase[] {
            buttonTool5,
            buttonTool6,
            buttonTool7,
            buttonTool8});
            this.ultraToolbarsManager1.ToolClick += new Infragistics.Win.UltraWinToolbars.ToolClickEventHandler(this.ultraToolbarsManager1_ToolClick);
            // 
            // _panel1_Toolbars_Dock_Area_Right
            // 
            this._panel1_Toolbars_Dock_Area_Right.AccessibleRole = System.Windows.Forms.AccessibleRole.Grouping;
            this._panel1_Toolbars_Dock_Area_Right.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(229)))), ((int)(((byte)(229)))), ((int)(((byte)(215)))));
            this._panel1_Toolbars_Dock_Area_Right.DockedPosition = Infragistics.Win.UltraWinToolbars.DockedPosition.Right;
            this._panel1_Toolbars_Dock_Area_Right.ForeColor = System.Drawing.SystemColors.ControlText;
            this._panel1_Toolbars_Dock_Area_Right.Location = new System.Drawing.Point(840, 52);
            this._panel1_Toolbars_Dock_Area_Right.Name = "_panel1_Toolbars_Dock_Area_Right";
            this._panel1_Toolbars_Dock_Area_Right.Size = new System.Drawing.Size(0, 0);
            this._panel1_Toolbars_Dock_Area_Right.ToolbarsManager = this.ultraToolbarsManager1;
            // 
            // _panel1_Toolbars_Dock_Area_Top
            // 
            this._panel1_Toolbars_Dock_Area_Top.AccessibleRole = System.Windows.Forms.AccessibleRole.Grouping;
            this._panel1_Toolbars_Dock_Area_Top.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(229)))), ((int)(((byte)(229)))), ((int)(((byte)(215)))));
            this._panel1_Toolbars_Dock_Area_Top.DockedPosition = Infragistics.Win.UltraWinToolbars.DockedPosition.Top;
            this._panel1_Toolbars_Dock_Area_Top.ForeColor = System.Drawing.SystemColors.ControlText;
            this._panel1_Toolbars_Dock_Area_Top.Location = new System.Drawing.Point(0, 0);
            this._panel1_Toolbars_Dock_Area_Top.Name = "_panel1_Toolbars_Dock_Area_Top";
            this._panel1_Toolbars_Dock_Area_Top.Size = new System.Drawing.Size(840, 52);
            this._panel1_Toolbars_Dock_Area_Top.ToolbarsManager = this.ultraToolbarsManager1;
            // 
            // _panel1_Toolbars_Dock_Area_Bottom
            // 
            this._panel1_Toolbars_Dock_Area_Bottom.AccessibleRole = System.Windows.Forms.AccessibleRole.Grouping;
            this._panel1_Toolbars_Dock_Area_Bottom.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(229)))), ((int)(((byte)(229)))), ((int)(((byte)(215)))));
            this._panel1_Toolbars_Dock_Area_Bottom.DockedPosition = Infragistics.Win.UltraWinToolbars.DockedPosition.Bottom;
            this._panel1_Toolbars_Dock_Area_Bottom.ForeColor = System.Drawing.SystemColors.ControlText;
            this._panel1_Toolbars_Dock_Area_Bottom.Location = new System.Drawing.Point(0, 30);
            this._panel1_Toolbars_Dock_Area_Bottom.Name = "_panel1_Toolbars_Dock_Area_Bottom";
            this._panel1_Toolbars_Dock_Area_Bottom.Size = new System.Drawing.Size(840, 0);
            this._panel1_Toolbars_Dock_Area_Bottom.ToolbarsManager = this.ultraToolbarsManager1;
            // 
            // ultraCheckEditor1
            // 
            this.ultraCheckEditor1.Location = new System.Drawing.Point(114, 47);
            this.ultraCheckEditor1.Name = "ultraCheckEditor1";
            this.ultraCheckEditor1.Size = new System.Drawing.Size(60, 16);
            this.ultraCheckEditor1.TabIndex = 0;
            // 
            // ultraGroupBox1
            // 
            this.ultraGroupBox1.Controls.Add(this.cmb_Area);
            this.ultraGroupBox1.Controls.Add(this.chk_Area);
            this.ultraGroupBox1.Controls.Add(this.chk_AllowFilter);
            this.ultraGroupBox1.Controls.Add(this.txt_ON);
            this.ultraGroupBox1.Controls.Add(this.chk_ON);
            this.ultraGroupBox1.Controls.Add(this.txt_PlanNO);
            this.ultraGroupBox1.Controls.Add(this.chk_PackNo);
            this.ultraGroupBox1.Controls.Add(this.chk_YButtress);
            this.ultraGroupBox1.Controls.Add(this.cmb_Buress);
            this.ultraGroupBox1.Dock = System.Windows.Forms.DockStyle.Top;
            this.ultraGroupBox1.Location = new System.Drawing.Point(0, 30);
            this.ultraGroupBox1.Name = "ultraGroupBox1";
            this.ultraGroupBox1.Size = new System.Drawing.Size(840, 54);
            this.ultraGroupBox1.SupportThemes = false;
            this.ultraGroupBox1.TabIndex = 13;
            this.ultraGroupBox1.ViewStyle = Infragistics.Win.Misc.GroupBoxViewStyle.VisualStudio2005;
            // 
            // cmb_Area
            // 
            this.cmb_Area.CharacterCasing = System.Windows.Forms.CharacterCasing.Normal;
            this.cmb_Area.DisplayMember = "";
            this.cmb_Area.DropDownStyle = Infragistics.Win.UltraWinGrid.UltraComboStyle.DropDownList;
            this.cmb_Area.Enabled = false;
            this.cmb_Area.FlatMode = true;
            this.cmb_Area.Location = new System.Drawing.Point(235, 27);
            this.cmb_Area.Name = "cmb_Area";
            this.cmb_Area.Size = new System.Drawing.Size(106, 19);
            this.cmb_Area.TabIndex = 736;
            this.cmb_Area.Tag = "";
            this.cmb_Area.ValueMember = "";
            // 
            // chk_Area
            // 
            this.chk_Area.FlatMode = true;
            this.chk_Area.Location = new System.Drawing.Point(186, 29);
            this.chk_Area.Name = "chk_Area";
            this.chk_Area.Size = new System.Drawing.Size(48, 16);
            this.chk_Area.TabIndex = 735;
            this.chk_Area.Text = "区域";
            this.chk_Area.CheckedChanged += new System.EventHandler(this.chk_Area_CheckedChanged);
            // 
            // chk_AllowFilter
            // 
            this.chk_AllowFilter.Location = new System.Drawing.Point(352, 7);
            this.chk_AllowFilter.Name = "chk_AllowFilter";
            this.chk_AllowFilter.Size = new System.Drawing.Size(50, 20);
            this.chk_AllowFilter.TabIndex = 734;
            this.chk_AllowFilter.TabStop = false;
            this.chk_AllowFilter.Text = "过滤";
            this.chk_AllowFilter.CheckedChanged += new System.EventHandler(this.chk_AllowFilter_CheckedChanged);
            // 
            // txt_ON
            // 
            this.txt_ON.AutoSize = true;
            this.txt_ON.Enabled = false;
            this.txt_ON.FlatMode = true;
            this.txt_ON.Location = new System.Drawing.Point(74, 5);
            this.txt_ON.Name = "txt_ON";
            this.txt_ON.Size = new System.Drawing.Size(110, 19);
            this.txt_ON.TabIndex = 733;
            // 
            // chk_ON
            // 
            this.chk_ON.FlatMode = true;
            this.chk_ON.Location = new System.Drawing.Point(10, 7);
            this.chk_ON.Name = "chk_ON";
            this.chk_ON.Size = new System.Drawing.Size(60, 16);
            this.chk_ON.TabIndex = 732;
            this.chk_ON.Text = "钢卷号";
            this.chk_ON.CheckedChanged += new System.EventHandler(this.chk_ON_CheckedChanged);
            // 
            // txt_PlanNO
            // 
            this.txt_PlanNO.AutoSize = true;
            this.txt_PlanNO.Enabled = false;
            this.txt_PlanNO.FlatMode = true;
            this.txt_PlanNO.Location = new System.Drawing.Point(74, 27);
            this.txt_PlanNO.Name = "txt_PlanNO";
            this.txt_PlanNO.Size = new System.Drawing.Size(110, 19);
            this.txt_PlanNO.TabIndex = 731;
            // 
            // chk_PackNo
            // 
            this.chk_PackNo.FlatMode = true;
            this.chk_PackNo.Location = new System.Drawing.Point(10, 27);
            this.chk_PackNo.Name = "chk_PackNo";
            this.chk_PackNo.Size = new System.Drawing.Size(60, 16);
            this.chk_PackNo.TabIndex = 730;
            this.chk_PackNo.Text = "合同号";
            this.chk_PackNo.CheckedChanged += new System.EventHandler(this.chk_PackNo_CheckedChanged);
            // 
            // chk_YButtress
            // 
            this.chk_YButtress.FlatMode = true;
            this.chk_YButtress.Location = new System.Drawing.Point(186, 7);
            this.chk_YButtress.Name = "chk_YButtress";
            this.chk_YButtress.Size = new System.Drawing.Size(48, 16);
            this.chk_YButtress.TabIndex = 729;
            this.chk_YButtress.Text = "垛位";
            this.chk_YButtress.CheckedChanged += new System.EventHandler(this.chk_YButtress_CheckedChanged);
            // 
            // cmb_Buress
            // 
            this.cmb_Buress.CharacterCasing = System.Windows.Forms.CharacterCasing.Normal;
            this.cmb_Buress.DisplayMember = "";
            this.cmb_Buress.DropDownStyle = Infragistics.Win.UltraWinGrid.UltraComboStyle.DropDownList;
            this.cmb_Buress.Enabled = false;
            this.cmb_Buress.FlatMode = true;
            this.cmb_Buress.Location = new System.Drawing.Point(235, 5);
            this.cmb_Buress.Name = "cmb_Buress";
            this.cmb_Buress.Size = new System.Drawing.Size(106, 19);
            this.cmb_Buress.TabIndex = 728;
            this.cmb_Buress.Tag = "";
            this.cmb_Buress.ValueMember = "";
            // 
            // ultraExpandableGroupBox1
            // 
            this.ultraExpandableGroupBox1.Controls.Add(this.ultraExpandableGroupBoxPanel1);
            this.ultraExpandableGroupBox1.Dock = System.Windows.Forms.DockStyle.Bottom;
            this.ultraExpandableGroupBox1.ExpandedSize = new System.Drawing.Size(968, 76);
            this.ultraExpandableGroupBox1.Location = new System.Drawing.Point(0, 380);
            this.ultraExpandableGroupBox1.Name = "ultraExpandableGroupBox1";
            this.ultraExpandableGroupBox1.Size = new System.Drawing.Size(840, 76);
            this.ultraExpandableGroupBox1.SupportThemes = false;
            this.ultraExpandableGroupBox1.TabIndex = 14;
            this.ultraExpandableGroupBox1.ViewStyle = Infragistics.Win.Misc.GroupBoxViewStyle.VisualStudio2005;
            // 
            // ultraExpandableGroupBoxPanel1
            // 
            this.ultraExpandableGroupBoxPanel1.Controls.Add(this.txt_Ramk);
            this.ultraExpandableGroupBoxPanel1.Controls.Add(this.ultraLabel7);
            this.ultraExpandableGroupBoxPanel1.Controls.Add(this.cmb_BuressMove);
            this.ultraExpandableGroupBoxPanel1.Controls.Add(this.ultraLabel6);
            this.ultraExpandableGroupBoxPanel1.Controls.Add(this.cmb_AreaC);
            this.ultraExpandableGroupBoxPanel1.Controls.Add(this.ultraLabel5);
            this.ultraExpandableGroupBoxPanel1.Controls.Add(this.cmb_Stream);
            this.ultraExpandableGroupBoxPanel1.Controls.Add(this.ultraLabel4);
            this.ultraExpandableGroupBoxPanel1.Controls.Add(this.cmb_Oreder);
            this.ultraExpandableGroupBoxPanel1.Controls.Add(this.ultraLabel3);
            this.ultraExpandableGroupBoxPanel1.Controls.Add(this.cmb_B);
            this.ultraExpandableGroupBoxPanel1.Controls.Add(this.ultraLabel2);
            this.ultraExpandableGroupBoxPanel1.Controls.Add(this.txt_GangpeiH);
            this.ultraExpandableGroupBoxPanel1.Controls.Add(this.ultraLabel1);
            this.ultraExpandableGroupBoxPanel1.Dock = System.Windows.Forms.DockStyle.Fill;
            this.ultraExpandableGroupBoxPanel1.Location = new System.Drawing.Point(2, 20);
            this.ultraExpandableGroupBoxPanel1.Name = "ultraExpandableGroupBoxPanel1";
            this.ultraExpandableGroupBoxPanel1.Size = new System.Drawing.Size(836, 54);
            this.ultraExpandableGroupBoxPanel1.TabIndex = 0;
            // 
            // txt_Ramk
            // 
            this.txt_Ramk.AutoSize = true;
            this.txt_Ramk.FlatMode = true;
            this.txt_Ramk.Location = new System.Drawing.Point(550, 8);
            this.txt_Ramk.Name = "txt_Ramk";
            this.txt_Ramk.Size = new System.Drawing.Size(254, 19);
            this.txt_Ramk.TabIndex = 31;
            // 
            // ultraLabel7
            // 
            this.ultraLabel7.Location = new System.Drawing.Point(508, 11);
            this.ultraLabel7.Name = "ultraLabel7";
            this.ultraLabel7.Size = new System.Drawing.Size(38, 14);
            this.ultraLabel7.TabIndex = 30;
            this.ultraLabel7.Text = "备注";
            // 
            // cmb_BuressMove
            // 
            this.cmb_BuressMove.CharacterCasing = System.Windows.Forms.CharacterCasing.Normal;
            this.cmb_BuressMove.DisplayMember = "";
            this.cmb_BuressMove.FlatMode = true;
            this.cmb_BuressMove.Location = new System.Drawing.Point(389, 30);
            this.cmb_BuressMove.Name = "cmb_BuressMove";
            this.cmb_BuressMove.Size = new System.Drawing.Size(112, 19);
            this.cmb_BuressMove.TabIndex = 29;
            this.cmb_BuressMove.ValueMember = "";
            // 
            // ultraLabel6
            // 
            this.ultraLabel6.Location = new System.Drawing.Point(346, 32);
            this.ultraLabel6.Name = "ultraLabel6";
            this.ultraLabel6.Size = new System.Drawing.Size(42, 14);
            this.ultraLabel6.TabIndex = 28;
            this.ultraLabel6.Text = "新垛位";
            // 
            // cmb_AreaC
            // 
            this.cmb_AreaC.CharacterCasing = System.Windows.Forms.CharacterCasing.Normal;
            this.cmb_AreaC.DisplayMember = "";
            this.cmb_AreaC.FlatMode = true;
            this.cmb_AreaC.Location = new System.Drawing.Point(389, 8);
            this.cmb_AreaC.Name = "cmb_AreaC";
            this.cmb_AreaC.Size = new System.Drawing.Size(112, 19);
            this.cmb_AreaC.TabIndex = 27;
            this.cmb_AreaC.ValueMember = "";
            this.cmb_AreaC.ValueChanged += new System.EventHandler(this.cmb_AreaC_ValueChanged);
            // 
            // ultraLabel5
            // 
            this.ultraLabel5.Location = new System.Drawing.Point(346, 10);
            this.ultraLabel5.Name = "ultraLabel5";
            this.ultraLabel5.Size = new System.Drawing.Size(42, 14);
            this.ultraLabel5.TabIndex = 26;
            this.ultraLabel5.Text = "新区域";
            // 
            // cmb_Stream
            // 
            this.cmb_Stream.CharacterCasing = System.Windows.Forms.CharacterCasing.Normal;
            this.cmb_Stream.DisplayMember = "";
            this.cmb_Stream.FlatMode = true;
            this.cmb_Stream.Location = new System.Drawing.Point(229, 29);
            this.cmb_Stream.Name = "cmb_Stream";
            this.cmb_Stream.Size = new System.Drawing.Size(112, 19);
            this.cmb_Stream.TabIndex = 25;
            this.cmb_Stream.ValueMember = "";
            // 
            // ultraLabel4
            // 
            this.ultraLabel4.Location = new System.Drawing.Point(197, 31);
            this.ultraLabel4.Name = "ultraLabel4";
            this.ultraLabel4.Size = new System.Drawing.Size(31, 14);
            this.ultraLabel4.TabIndex = 24;
            this.ultraLabel4.Text = "班组";
            // 
            // cmb_Oreder
            // 
            this.cmb_Oreder.CharacterCasing = System.Windows.Forms.CharacterCasing.Normal;
            this.cmb_Oreder.DisplayMember = "";
            this.cmb_Oreder.FlatMode = true;
            this.cmb_Oreder.Location = new System.Drawing.Point(229, 6);
            this.cmb_Oreder.Name = "cmb_Oreder";
            this.cmb_Oreder.Size = new System.Drawing.Size(112, 19);
            this.cmb_Oreder.TabIndex = 23;
            this.cmb_Oreder.ValueMember = "";
            // 
            // ultraLabel3
            // 
            this.ultraLabel3.Location = new System.Drawing.Point(197, 10);
            this.ultraLabel3.Name = "ultraLabel3";
            this.ultraLabel3.Size = new System.Drawing.Size(31, 14);
            this.ultraLabel3.TabIndex = 22;
            this.ultraLabel3.Text = "班次";
            // 
            // cmb_B
            // 
            appearance41.BackColor = System.Drawing.Color.LightCyan;
            this.cmb_B.Appearance = appearance41;
            this.cmb_B.CharacterCasing = System.Windows.Forms.CharacterCasing.Normal;
            this.cmb_B.DisplayMember = "";
            this.cmb_B.Location = new System.Drawing.Point(46, 29);
            this.cmb_B.Name = "cmb_B";
            this.cmb_B.Size = new System.Drawing.Size(148, 21);
            this.cmb_B.TabIndex = 21;
            this.cmb_B.ValueMember = "";
            // 
            // ultraLabel2
            // 
            this.ultraLabel2.Location = new System.Drawing.Point(6, 32);
            this.ultraLabel2.Name = "ultraLabel2";
            this.ultraLabel2.Size = new System.Drawing.Size(42, 14);
            this.ultraLabel2.TabIndex = 20;
            this.ultraLabel2.Text = "原垛位";
            // 
            // txt_GangpeiH
            // 
            appearance42.BackColor = System.Drawing.Color.LightCyan;
            this.txt_GangpeiH.Appearance = appearance42;
            this.txt_GangpeiH.AutoSize = true;
            this.txt_GangpeiH.Location = new System.Drawing.Point(46, 6);
            this.txt_GangpeiH.Name = "txt_GangpeiH";
            this.txt_GangpeiH.ReadOnly = true;
            this.txt_GangpeiH.Size = new System.Drawing.Size(148, 21);
            this.txt_GangpeiH.TabIndex = 19;
            // 
            // ultraLabel1
            // 
            this.ultraLabel1.Location = new System.Drawing.Point(6, 10);
            this.ultraLabel1.Name = "ultraLabel1";
            this.ultraLabel1.Size = new System.Drawing.Size(42, 14);
            this.ultraLabel1.TabIndex = 18;
            this.ultraLabel1.Text = "钢卷号";
            // 
            // ultraExpandableGroupBox2
            // 
            this.ultraExpandableGroupBox2.Controls.Add(this.ultraExpandableGroupBoxPanel2);
            this.ultraExpandableGroupBox2.Dock = System.Windows.Forms.DockStyle.Fill;
            this.ultraExpandableGroupBox2.ExpandedSize = new System.Drawing.Size(968, 296);
            this.ultraExpandableGroupBox2.Location = new System.Drawing.Point(0, 84);
            this.ultraExpandableGroupBox2.Name = "ultraExpandableGroupBox2";
            this.ultraExpandableGroupBox2.Size = new System.Drawing.Size(840, 296);
            this.ultraExpandableGroupBox2.SupportThemes = false;
            this.ultraExpandableGroupBox2.TabIndex = 15;
            this.ultraExpandableGroupBox2.ViewStyle = Infragistics.Win.Misc.GroupBoxViewStyle.VisualStudio2005;
            // 
            // ultraExpandableGroupBoxPanel2
            // 
            this.ultraExpandableGroupBoxPanel2.Controls.Add(this.gb_Stuff);
            this.ultraExpandableGroupBoxPanel2.Dock = System.Windows.Forms.DockStyle.Fill;
            this.ultraExpandableGroupBoxPanel2.Location = new System.Drawing.Point(2, 20);
            this.ultraExpandableGroupBoxPanel2.Name = "ultraExpandableGroupBoxPanel2";
            this.ultraExpandableGroupBoxPanel2.Size = new System.Drawing.Size(836, 274);
            this.ultraExpandableGroupBoxPanel2.TabIndex = 0;
            // 
            // gb_Stuff
            // 
            appearance43.BackColor = System.Drawing.Color.Ivory;
            this.gb_Stuff.DisplayLayout.Appearance = appearance43;
            ultraGridColumn41.Header.Caption = "钢卷号";
            ultraGridColumn41.Header.VisiblePosition = 0;
            ultraGridColumn41.RowLayoutColumnInfo.OriginX = 2;
            ultraGridColumn41.RowLayoutColumnInfo.OriginY = 0;
            ultraGridColumn41.RowLayoutColumnInfo.PreferredCellSize = new System.Drawing.Size(95, 0);
            ultraGridColumn41.RowLayoutColumnInfo.SpanX = 1;
            ultraGridColumn41.RowLayoutColumnInfo.SpanY = 1;
            ultraGridColumn42.Header.Caption = "板坯号";
            ultraGridColumn42.Header.VisiblePosition = 1;
            ultraGridColumn42.RowLayoutColumnInfo.OriginX = 7;
            ultraGridColumn42.RowLayoutColumnInfo.OriginY = 0;
            ultraGridColumn42.RowLayoutColumnInfo.PreferredCellSize = new System.Drawing.Size(75, 0);
            ultraGridColumn42.RowLayoutColumnInfo.SpanX = 1;
            ultraGridColumn42.RowLayoutColumnInfo.SpanY = 1;
            ultraGridColumn43.Header.Caption = "合同号";
            ultraGridColumn43.Header.VisiblePosition = 2;
            ultraGridColumn43.RowLayoutColumnInfo.OriginX = 3;
            ultraGridColumn43.RowLayoutColumnInfo.OriginY = 0;
            ultraGridColumn43.RowLayoutColumnInfo.PreferredCellSize = new System.Drawing.Size(99, 0);
            ultraGridColumn43.RowLayoutColumnInfo.SpanX = 1;
            ultraGridColumn43.RowLayoutColumnInfo.SpanY = 1;
            ultraGridColumn44.Header.Caption = "订单号";
            ultraGridColumn44.Header.VisiblePosition = 3;
            ultraGridColumn44.RowLayoutColumnInfo.OriginX = 8;
            ultraGridColumn44.RowLayoutColumnInfo.OriginY = 0;
            ultraGridColumn44.RowLayoutColumnInfo.PreferredCellSize = new System.Drawing.Size(79, 0);
            ultraGridColumn44.RowLayoutColumnInfo.SpanX = 1;
            ultraGridColumn44.RowLayoutColumnInfo.SpanY = 1;
            ultraGridColumn45.Header.Caption = "内径";
            ultraGridColumn45.Header.VisiblePosition = 4;
            ultraGridColumn45.RowLayoutColumnInfo.OriginX = 11;
            ultraGridColumn45.RowLayoutColumnInfo.OriginY = 0;
            ultraGridColumn45.RowLayoutColumnInfo.PreferredCellSize = new System.Drawing.Size(55, 0);
            ultraGridColumn45.RowLayoutColumnInfo.SpanX = 1;
            ultraGridColumn45.RowLayoutColumnInfo.SpanY = 1;
            ultraGridColumn46.Header.Caption = "外径";
            ultraGridColumn46.Header.VisiblePosition = 5;
            ultraGridColumn46.RowLayoutColumnInfo.OriginX = 12;
            ultraGridColumn46.RowLayoutColumnInfo.OriginY = 0;
            ultraGridColumn46.RowLayoutColumnInfo.PreferredCellSize = new System.Drawing.Size(53, 0);
            ultraGridColumn46.RowLayoutColumnInfo.SpanX = 1;
            ultraGridColumn46.RowLayoutColumnInfo.SpanY = 1;
            ultraGridColumn47.Header.Caption = "长度";
            ultraGridColumn47.Header.VisiblePosition = 6;
            ultraGridColumn47.RowLayoutColumnInfo.OriginX = 15;
            ultraGridColumn47.RowLayoutColumnInfo.OriginY = 0;
            ultraGridColumn47.RowLayoutColumnInfo.PreferredCellSize = new System.Drawing.Size(52, 0);
            ultraGridColumn47.RowLayoutColumnInfo.SpanX = 1;
            ultraGridColumn47.RowLayoutColumnInfo.SpanY = 1;
            ultraGridColumn48.Header.Caption = "厚度 ";
            ultraGridColumn48.Header.VisiblePosition = 7;
            ultraGridColumn48.RowLayoutColumnInfo.OriginX = 13;
            ultraGridColumn48.RowLayoutColumnInfo.OriginY = 0;
            ultraGridColumn48.RowLayoutColumnInfo.PreferredCellSize = new System.Drawing.Size(48, 0);
            ultraGridColumn48.RowLayoutColumnInfo.SpanX = 1;
            ultraGridColumn48.RowLayoutColumnInfo.SpanY = 1;
            ultraGridColumn49.Header.Caption = "宽度";
            ultraGridColumn49.Header.VisiblePosition = 8;
            ultraGridColumn49.RowLayoutColumnInfo.OriginX = 14;
            ultraGridColumn49.RowLayoutColumnInfo.OriginY = 0;
            ultraGridColumn49.RowLayoutColumnInfo.PreferredCellSize = new System.Drawing.Size(46, 0);
            ultraGridColumn49.RowLayoutColumnInfo.SpanX = 1;
            ultraGridColumn49.RowLayoutColumnInfo.SpanY = 1;
            ultraGridColumn50.Header.Caption = "计算重量";
            ultraGridColumn50.Header.VisiblePosition = 9;
            ultraGridColumn50.RowLayoutColumnInfo.OriginX = 16;
            ultraGridColumn50.RowLayoutColumnInfo.OriginY = 0;
            ultraGridColumn50.RowLayoutColumnInfo.PreferredCellSize = new System.Drawing.Size(59, 0);
            ultraGridColumn50.RowLayoutColumnInfo.SpanX = 1;
            ultraGridColumn50.RowLayoutColumnInfo.SpanY = 1;
            ultraGridColumn51.Header.Caption = "实重量";
            ultraGridColumn51.Header.VisiblePosition = 10;
            ultraGridColumn51.RowLayoutColumnInfo.OriginX = 17;
            ultraGridColumn51.RowLayoutColumnInfo.OriginY = 0;
            ultraGridColumn51.RowLayoutColumnInfo.PreferredCellSize = new System.Drawing.Size(69, 0);
            ultraGridColumn51.RowLayoutColumnInfo.SpanX = 1;
            ultraGridColumn51.RowLayoutColumnInfo.SpanY = 1;
            ultraGridColumn52.Header.Caption = "牌号";
            ultraGridColumn52.Header.VisiblePosition = 11;
            ultraGridColumn52.RowLayoutColumnInfo.OriginX = 10;
            ultraGridColumn52.RowLayoutColumnInfo.OriginY = 0;
            ultraGridColumn52.RowLayoutColumnInfo.PreferredCellSize = new System.Drawing.Size(71, 0);
            ultraGridColumn52.RowLayoutColumnInfo.SpanX = 1;
            ultraGridColumn52.RowLayoutColumnInfo.SpanY = 1;
            ultraGridColumn53.Header.Caption = "综合判定";
            ultraGridColumn53.Header.VisiblePosition = 12;
            ultraGridColumn53.RowLayoutColumnInfo.OriginX = 18;
            ultraGridColumn53.RowLayoutColumnInfo.OriginY = 0;
            ultraGridColumn53.RowLayoutColumnInfo.PreferredCellSize = new System.Drawing.Size(64, 0);
            ultraGridColumn53.RowLayoutColumnInfo.SpanX = 1;
            ultraGridColumn53.RowLayoutColumnInfo.SpanY = 1;
            ultraGridColumn54.Header.Caption = "垛位";
            ultraGridColumn54.Header.VisiblePosition = 13;
            ultraGridColumn54.RowLayoutColumnInfo.OriginX = 4;
            ultraGridColumn54.RowLayoutColumnInfo.OriginY = 0;
            ultraGridColumn54.RowLayoutColumnInfo.PreferredCellSize = new System.Drawing.Size(68, 0);
            ultraGridColumn54.RowLayoutColumnInfo.SpanX = 1;
            ultraGridColumn54.RowLayoutColumnInfo.SpanY = 1;
            ultraGridColumn55.Header.Caption = "区域";
            ultraGridColumn55.Header.VisiblePosition = 14;
            ultraGridColumn55.RowLayoutColumnInfo.OriginX = 5;
            ultraGridColumn55.RowLayoutColumnInfo.OriginY = 0;
            ultraGridColumn55.RowLayoutColumnInfo.PreferredCellSize = new System.Drawing.Size(63, 0);
            ultraGridColumn55.RowLayoutColumnInfo.SpanX = 1;
            ultraGridColumn55.RowLayoutColumnInfo.SpanY = 1;
            ultraGridColumn56.Header.Caption = "备注";
            ultraGridColumn56.Header.VisiblePosition = 15;
            ultraGridColumn56.RowLayoutColumnInfo.OriginX = 19;
            ultraGridColumn56.RowLayoutColumnInfo.OriginY = 0;
            ultraGridColumn56.RowLayoutColumnInfo.SpanX = 1;
            ultraGridColumn56.RowLayoutColumnInfo.SpanY = 1;
            ultraGridColumn57.Header.Caption = "合同单位";
            ultraGridColumn57.Header.VisiblePosition = 16;
            ultraGridColumn57.RowLayoutColumnInfo.OriginX = 9;
            ultraGridColumn57.RowLayoutColumnInfo.OriginY = 0;
            ultraGridColumn57.RowLayoutColumnInfo.SpanX = 1;
            ultraGridColumn57.RowLayoutColumnInfo.SpanY = 1;
            ultraGridColumn58.Header.Caption = "炉号";
            ultraGridColumn58.Header.VisiblePosition = 17;
            ultraGridColumn58.RowLayoutColumnInfo.OriginX = 6;
            ultraGridColumn58.RowLayoutColumnInfo.OriginY = 0;
            ultraGridColumn58.RowLayoutColumnInfo.PreferredCellSize = new System.Drawing.Size(100, 0);
            ultraGridColumn58.RowLayoutColumnInfo.SpanX = 1;
            ultraGridColumn58.RowLayoutColumnInfo.SpanY = 1;
            ultraGridColumn59.Header.Caption = "批号";
            ultraGridColumn59.Header.VisiblePosition = 18;
            ultraGridColumn59.RowLayoutColumnInfo.OriginX = 1;
            ultraGridColumn59.RowLayoutColumnInfo.OriginY = 0;
            ultraGridColumn59.RowLayoutColumnInfo.PreferredCellSize = new System.Drawing.Size(103, 0);
            ultraGridColumn59.RowLayoutColumnInfo.SpanX = 1;
            ultraGridColumn59.RowLayoutColumnInfo.SpanY = 1;
            ultraGridColumn60.Header.Caption = "";
            ultraGridColumn60.Header.VisiblePosition = 19;
            ultraGridColumn60.RowLayoutColumnInfo.OriginX = 0;
            ultraGridColumn60.RowLayoutColumnInfo.OriginY = 0;
            ultraGridColumn60.RowLayoutColumnInfo.PreferredCellSize = new System.Drawing.Size(37, 0);
            ultraGridColumn60.RowLayoutColumnInfo.SpanX = 1;
            ultraGridColumn60.RowLayoutColumnInfo.SpanY = 1;
            ultraGridColumn60.Style = Infragistics.Win.UltraWinGrid.ColumnStyle.CheckBox;
            ultraGridBand3.Columns.AddRange(new object[] {
            ultraGridColumn41,
            ultraGridColumn42,
            ultraGridColumn43,
            ultraGridColumn44,
            ultraGridColumn45,
            ultraGridColumn46,
            ultraGridColumn47,
            ultraGridColumn48,
            ultraGridColumn49,
            ultraGridColumn50,
            ultraGridColumn51,
            ultraGridColumn52,
            ultraGridColumn53,
            ultraGridColumn54,
            ultraGridColumn55,
            ultraGridColumn56,
            ultraGridColumn57,
            ultraGridColumn58,
            ultraGridColumn59,
            ultraGridColumn60});
            appearance44.BackColor = System.Drawing.Color.LightSteelBlue;
            ultraGridBand3.Header.Appearance = appearance44;
            ultraGridBand3.Override.RowSelectors = Infragistics.Win.DefaultableBoolean.True;
            summarySettings5.DisplayFormat = "{0}KG";
            summarySettings5.GroupBySummaryValueAppearance = appearance45;
            summarySettings6.DisplayFormat = "{0}KG";
            summarySettings6.GroupBySummaryValueAppearance = appearance46;
            ultraGridBand3.Summaries.AddRange(new Infragistics.Win.UltraWinGrid.SummarySettings[] {
            summarySettings5,
            summarySettings6});
            ultraGridBand3.UseRowLayout = true;
            this.gb_Stuff.DisplayLayout.BandsSerializer.Add(ultraGridBand3);
            this.gb_Stuff.DisplayLayout.CaptionVisible = Infragistics.Win.DefaultableBoolean.False;
            appearance47.BackColor = System.Drawing.SystemColors.ActiveBorder;
            appearance47.BackColor2 = System.Drawing.SystemColors.ControlDark;
            appearance47.BackGradientStyle = Infragistics.Win.GradientStyle.Vertical;
            appearance47.BorderColor = System.Drawing.SystemColors.Window;
            this.gb_Stuff.DisplayLayout.GroupByBox.Appearance = appearance47;
            appearance48.ForeColor = System.Drawing.SystemColors.GrayText;
            this.gb_Stuff.DisplayLayout.GroupByBox.BandLabelAppearance = appearance48;
            this.gb_Stuff.DisplayLayout.GroupByBox.Hidden = true;
            this.gb_Stuff.DisplayLayout.GroupByBox.Prompt = "将要分组的列拖至该区域！";
            appearance49.BackColor = System.Drawing.SystemColors.Window;
            appearance49.ForeColor = System.Drawing.SystemColors.ControlText;
            this.gb_Stuff.DisplayLayout.Override.ActiveCellAppearance = appearance49;
            appearance50.BackColor = System.Drawing.SystemColors.Highlight;
            appearance50.ForeColor = System.Drawing.SystemColors.HighlightText;
            this.gb_Stuff.DisplayLayout.Override.ActiveRowAppearance = appearance50;
            appearance51.BorderColor = System.Drawing.Color.Black;
            appearance51.TextVAlign = Infragistics.Win.VAlign.Middle;
            this.gb_Stuff.DisplayLayout.Override.CellAppearance = appearance51;
            this.gb_Stuff.DisplayLayout.Override.CellClickAction = Infragistics.Win.UltraWinGrid.CellClickAction.EditAndSelectText;
            this.gb_Stuff.DisplayLayout.Override.CellPadding = 0;
            appearance52.BackColor = System.Drawing.SystemColors.Control;
            appearance52.BackColor2 = System.Drawing.SystemColors.ControlDark;
            appearance52.BackGradientAlignment = Infragistics.Win.GradientAlignment.Element;
            appearance52.BackGradientStyle = Infragistics.Win.GradientStyle.Horizontal;
            appearance52.BorderColor = System.Drawing.SystemColors.Window;
            appearance52.TextHAlign = Infragistics.Win.HAlign.Left;
            appearance52.TextVAlign = Infragistics.Win.VAlign.Middle;
            this.gb_Stuff.DisplayLayout.Override.GroupByRowAppearance = appearance52;
            this.gb_Stuff.DisplayLayout.Override.GroupBySummaryDisplayStyle = Infragistics.Win.UltraWinGrid.GroupBySummaryDisplayStyle.SummaryCells;
            appearance53.BackColor = System.Drawing.Color.Silver;
            this.gb_Stuff.DisplayLayout.Override.HeaderAppearance = appearance53;
            this.gb_Stuff.DisplayLayout.Override.HeaderClickAction = Infragistics.Win.UltraWinGrid.HeaderClickAction.SortMulti;
            this.gb_Stuff.DisplayLayout.Override.HeaderStyle = Infragistics.Win.HeaderStyle.Standard;
            appearance54.BackColor = System.Drawing.SystemColors.Window;
            appearance54.BorderColor = System.Drawing.Color.Black;
            appearance54.TextVAlign = Infragistics.Win.VAlign.Middle;
            this.gb_Stuff.DisplayLayout.Override.RowAppearance = appearance54;
            appearance55.BackColor = System.Drawing.SystemColors.Window;
            appearance55.BorderColor = System.Drawing.Color.Black;
            appearance55.TextVAlign = Infragistics.Win.VAlign.Middle;
            this.gb_Stuff.DisplayLayout.Override.RowPreviewAppearance = appearance55;
            this.gb_Stuff.DisplayLayout.Override.RowSelectorHeaderStyle = Infragistics.Win.UltraWinGrid.RowSelectorHeaderStyle.SeparateElement;
            this.gb_Stuff.DisplayLayout.Override.RowSelectorNumberStyle = Infragistics.Win.UltraWinGrid.RowSelectorNumberStyle.RowIndex;
            this.gb_Stuff.DisplayLayout.Override.RowSelectors = Infragistics.Win.DefaultableBoolean.True;
            appearance56.TextHAlign = Infragistics.Win.HAlign.Left;
            appearance56.TextVAlign = Infragistics.Win.VAlign.Middle;
            this.gb_Stuff.DisplayLayout.Override.SelectedRowAppearance = appearance56;
            this.gb_Stuff.DisplayLayout.Override.SummaryDisplayArea = Infragistics.Win.UltraWinGrid.SummaryDisplayAreas.BottomFixed;
            appearance57.BackColor = System.Drawing.SystemColors.Window;
            this.gb_Stuff.DisplayLayout.Override.SummaryFooterAppearance = appearance57;
            appearance58.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(255)))), ((int)(((byte)(192)))));
            appearance58.ForeColor = System.Drawing.Color.Red;
            this.gb_Stuff.DisplayLayout.Override.SummaryFooterCaptionAppearance = appearance58;
            this.gb_Stuff.DisplayLayout.Override.SummaryFooterCaptionVisible = Infragistics.Win.DefaultableBoolean.False;
            appearance59.BackColor = System.Drawing.Color.MistyRose;
            appearance59.ForeColor = System.Drawing.Color.Blue;
            appearance59.TextHAlign = Infragistics.Win.HAlign.Right;
            appearance59.TextVAlign = Infragistics.Win.VAlign.Middle;
            this.gb_Stuff.DisplayLayout.Override.SummaryValueAppearance = appearance59;
            appearance60.BackColor = System.Drawing.SystemColors.ControlLight;
            this.gb_Stuff.DisplayLayout.Override.TemplateAddRowAppearance = appearance60;
            this.gb_Stuff.DisplayLayout.ScrollBounds = Infragistics.Win.UltraWinGrid.ScrollBounds.ScrollToFill;
            this.gb_Stuff.DisplayLayout.ScrollStyle = Infragistics.Win.UltraWinGrid.ScrollStyle.Immediate;
            this.gb_Stuff.DisplayLayout.ViewStyleBand = Infragistics.Win.UltraWinGrid.ViewStyleBand.OutlookGroupBy;
            this.gb_Stuff.Dock = System.Windows.Forms.DockStyle.Fill;
            this.gb_Stuff.Location = new System.Drawing.Point(0, 0);
            this.gb_Stuff.Name = "gb_Stuff";
            this.gb_Stuff.Size = new System.Drawing.Size(836, 274);
            this.gb_Stuff.TabIndex = 13;
            this.gb_Stuff.Text = "ultraGrid2";
            this.gb_Stuff.AfterRowActivate += new System.EventHandler(this.gb_Stuff_AfterRowActivate);
            // 
            // Frm_StuffMove
            // 
            this.AutoScaleBaseSize = new System.Drawing.Size(6, 14);
            this.ClientSize = new System.Drawing.Size(840, 456);
            this.Controls.Add(this.ultraExpandableGroupBox2);
            this.Controls.Add(this.ultraExpandableGroupBox1);
            this.Controls.Add(this.ultraGroupBox1);
            this.Controls.Add(this.panel1);
            this.Name = "Frm_StuffMove";
            this.Text = "原料移垛管理";
            this.Load += new System.EventHandler(this.Frm_StuffMove_Load);
            this.panel1.ResumeLayout(false);
            ((System.ComponentModel.ISupportInitialize)(this.ultraToolbarsManager1)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.ultraGroupBox1)).EndInit();
            this.ultraGroupBox1.ResumeLayout(false);
            ((System.ComponentModel.ISupportInitialize)(this.cmb_Area)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.txt_ON)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.txt_PlanNO)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.cmb_Buress)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.ultraExpandableGroupBox1)).EndInit();
            this.ultraExpandableGroupBox1.ResumeLayout(false);
            this.ultraExpandableGroupBoxPanel1.ResumeLayout(false);
            ((System.ComponentModel.ISupportInitialize)(this.txt_Ramk)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.cmb_BuressMove)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.cmb_AreaC)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.cmb_Stream)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.cmb_Oreder)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.cmb_B)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.txt_GangpeiH)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.ultraExpandableGroupBox2)).EndInit();
            this.ultraExpandableGroupBox2.ResumeLayout(false);
            this.ultraExpandableGroupBoxPanel2.ResumeLayout(false);
            ((System.ComponentModel.ISupportInitialize)(this.gb_Stuff)).EndInit();
            this.ResumeLayout(false);

		}
		#endregion
		private string getWhere()
		{
			string Sql="";
			if(this.chk_ON.Checked)
			{
				Sql=" AND A.OLD_SAMPL_NO='"+this.txt_ON.Text+"'";
			}
			if(this.chk_YButtress.Checked)
			{
				Sql=" AND A.BUTTRESS='"+this.cmb_Buress.Value+"'";
			}
			if(this.chk_PackNo.Checked)
			{
				Sql=" AND A.ORD_NO LIKE '%"+this.txt_PlanNO.Text+"%'";
			}
			if(this.chk_Area.Checked)
			{
				Sql=" AND B.AREA='"+this.cmb_Area.Value+"'";
			}
			return Sql;
		}
		private void StufQuer(string _Conntion)
		{
			try
			{
				string strOut="";
                DataSet ds = (DataSet)Core.Mes.ClientFrameWork.ClientCommon._RemotingHelp.ExecuteMethod("BJZWJBStuff", "Core.XgMes.Server.JGKC.RollManager.StuffMove", "StuffQuer", new object[] { this.getWhere() }, out strOut);
                this.gb_Stuff.DataSource=ds;
				this.gb_Stuff.UpdateData();
				Comm.SetGridSumArea(gb_Stuff);
			}
			catch(Exception ex)
			{
				System.Diagnostics.Debug.WriteLine(ex.ToString());
			}
		}
		private void ultraToolbarsManager1_ToolClick(object sender, Infragistics.Win.UltraWinToolbars.ToolClickEventArgs e)
		{
			switch(e.Tool.Key)
			{
				case "QUERY":
                     this.StufQuer(this.getWhere());
				     break;
				case "Close":
				      break;
			    case "TZ":
					this.Move_Buress();
					break;
				case "DUCE":
					this.ExportButtressInfo();
					break;
			}
		}

		private void Move_Buress()
		{
			try
			{
				this.gb_Stuff.UpdateData();
				string strOut="";
				ArrayList array=new ArrayList();
				array=Comm.GetFieldValue(this.gb_Stuff,"FLAG","OLD_SAMPL_NO");
				if(array.Count==0)
				{
					MessageBox.Show("请您选择原料信息需要移库的信息","提示",System.Windows.Forms.MessageBoxButtons.OK,System.Windows.Forms.MessageBoxIcon.Information);
					return ;
				}
				ArrayList Other=new ArrayList();
				Other.Add(this.cmb_BuressMove.Value.ToString());
				Other.Add(this.cmb_AreaC.Value.ToString());
				Other.Add(this.cmb_Oreder.Value.ToString());
				Other.Add(this.cmb_Stream.Value.ToString());
				Other.Add(this.txt_Ramk.Text);
				Other.Add(Core.Mes.ClientFrameWork.ClientCommon._UserInfo.UserName);
                Other.Add(this.txt_GangpeiH.Value.ToString());
                object obj = Core.Mes.ClientFrameWork.ClientCommon._RemotingHelp.ExecuteMethod("BJZWJBStuff", "Core.XgMes.Server.JGKC.RollManager.StuffMove", "StuffBuress_Move", new object[] { array, Other }, out strOut);
				if(obj!=null&&obj.ToString()=="1")
				{
					DataSet  ds=(DataSet)this.gb_Stuff.DataSource;
					System.Data.DataRow [] row=ds.Tables["KCJ3_STUFFLIST"].Select("FLAG='TRUE'");
					
					for(int i=0;i<row.Length;i++)
					{
						ds.Tables["KCJ3_STUFFLIST"].Rows.Remove(row[i]);
						ds.Tables["KCJ3_STUFFLIST"].AcceptChanges();
					}
					this.StufQuer(this.getWhere());
					Comm.SetGridSumArea(this.gb_Stuff);
				}
				else
				{
					MessageBox.Show(strOut,"警告",System.Windows.Forms.MessageBoxButtons.OK,System.Windows.Forms.MessageBoxIcon.Warning);
				}

			}
			catch(Exception ex)
			{
				System.Diagnostics.Debug.WriteLine(ex.ToString());
			}
		}

		private void Frm_StuffMove_Load(object sender, System.EventArgs e)
		{
			Comm.SetGridSumArea(this.gb_Stuff);
		    string strOut="";
			string sql="";
			DataSet ds;
			//堆位
            sql = "SELECT BUTTRESSCODE FROM KCJ_BUTTRESS_ZW WHERE BUTTRESSTYPE='0' AND ISVALID='1' AND AREACODE='对外加工(卷板)' ORDER BY BUTTRESSCODE ASC";
            ds = (DataSet)ClientCommon._RemotingHelp.ExecuteMethod("BJZWStuff", "Core.XgMes.Server.JGKC.SteelPlateManager.Common", "GetDataSet", new object[] { sql }, out strOut);
			ds.Tables[0].TableName="KCJ_BUTTRESS";

			Comm.Init_ComboControl(this.cmb_Buress,"KCJ_BUTTRESS","BUTTRESSCODE","BUTTRESSCODE",ref ds);

			//堆位
            sql = "SELECT BUTTRESSCODE FROM KCJ_BUTTRESS_ZW WHERE BUTTRESSTYPE='0' AND ISVALID='1' AND AREACODE='对外加工(卷板)' ORDER BY BUTTRESSCODE ASC";
            ds = (DataSet)ClientCommon._RemotingHelp.ExecuteMethod("BJZWStuff", "Core.XgMes.Server.JGKC.SteelPlateManager.Common", "GetDataSet", new object[] { sql }, out strOut);
			ds.Tables[0].TableName="KCJ_BUTTRESS";

			Comm.Init_ComboControl(this.cmb_BuressMove,"KCJ_BUTTRESS","BUTTRESSCODE","BUTTRESSCODE",ref ds);		

			sql ="SELECT ID_,NAME_ FROM SCM_BASE_INFO WHERE SORT_CODE = '3002'" ;
            ds = (DataSet)ClientCommon._RemotingHelp.ExecuteMethod("BJZWStuff", "Core.XgMes.Server.JGKC.SteelPlateManager.Common", "GetDataSet", new object[] { sql }, out strOut);
			ds.Tables[0].TableName="SCM_BASE_INFO";

			Comm.Init_ComboControl(this.cmb_Oreder,"SCM_BASE_INFO","NAME_","ID_",ref ds);

			//班组
			sql ="SELECT ID_,NAME_ FROM SCM_BASE_INFO WHERE SORT_CODE = '3003'" ;
            ds = (DataSet)ClientCommon._RemotingHelp.ExecuteMethod("BJZWStuff", "Core.XgMes.Server.JGKC.SteelPlateManager.Common", "GetDataSet", new object[] { sql }, out strOut);
			ds.Tables[0].TableName="SCM_BASE_INFO";

			Comm.Init_ComboControl(this.cmb_Stream,"SCM_BASE_INFO","NAME_","ID_",ref ds);

			//
            sql = "select areacode from kcj_area_ZW  where areatype='0' and isvalid='1' AND AREACODE='对外加工(卷板)'  ";
            ds = (DataSet)ClientCommon._RemotingHelp.ExecuteMethod("BJZWStuff", "Core.XgMes.Server.JGKC.SteelPlateManager.Common", "GetDataSet", new object[] { sql }, out strOut);
			ds.Tables[0].TableName="KCJ_AREA";

			Comm.Init_ComboControl(this.cmb_Area,"KCJ_AREA","AREACODE","AREACODE",ref ds);
			Comm.Init_ComboControl(this.cmb_AreaC,"KCJ_AREA","AREACODE","AREACODE",ref ds);
		
		}

		private void ultraGrid1_CellChange(object sender, Infragistics.Win.UltraWinGrid.CellEventArgs e)
		{
			try
			{
				if(e.Cell.Column.Key == "FLAG")
				{
					e.Cell.Row.Update();
					if(e.Cell.Value.ToString().ToUpper() == "TRUE")
					{
						e.Cell.Row.Appearance.ForeColor = System.Drawing.Color.Blue;
					}
					else
					{
						e.Cell.Row.Appearance.ForeColor = System.Drawing.Color.Black;
					}
				}
			}
			catch(System.Exception ex)
			{
				System.Diagnostics.Debug.WriteLine(ex.ToString());
			}
		}

		private void chk_AllowFilter_CheckedChanged(object sender, System.EventArgs e)
		{
			try 
			{
				if(this.chk_AllowFilter.Checked)
				{
					this.gb_Stuff.DisplayLayout.Override.AllowRowFiltering = Infragistics.Win.DefaultableBoolean.True;
					this.gb_Stuff.DisplayLayout.Override.FilterUIType = Infragistics.Win.UltraWinGrid.FilterUIType.FilterRow;

				}
				else
				{
					this.gb_Stuff.DisplayLayout.Override.AllowRowFiltering = Infragistics.Win.DefaultableBoolean.False;
					this.gb_Stuff.DisplayLayout.Override.FilterUIType = Infragistics.Win.UltraWinGrid.FilterUIType.Default;
					if(this.gb_Stuff.DisplayLayout.Bands[0].ColumnFilters.Count>0)
					{
						for(int i=0;i<this.gb_Stuff.DisplayLayout.Bands[0].ColumnFilters.Count;i++)
						{
							this.gb_Stuff.DisplayLayout.Bands[0].ColumnFilters[i].FilterConditions.Clear();
						}
					}
				
				}

			}
			catch(System.Exception ex)
			{
				System.Diagnostics.Debug.WriteLine(ex.ToString());
			}
		}

		private void chk_ON_CheckedChanged(object sender, System.EventArgs e)
		{
			this.txt_ON.Enabled=this.chk_ON.Checked;
		}

		private void chk_PackNo_CheckedChanged(object sender, System.EventArgs e)
		{
			this.txt_PlanNO.Enabled=this.chk_PackNo.Checked;
		}

		private void chk_YButtress_CheckedChanged(object sender, System.EventArgs e)
		{
			this.cmb_Buress.Enabled=this.chk_YButtress.Checked;
		}

		private void chk_Area_CheckedChanged(object sender, System.EventArgs e)
		{
			this.cmb_Area.Enabled=this.chk_Area.Checked;
		}

		private void gb_Stuff_AfterRowActivate(object sender, System.EventArgs e)
		{
			this.txt_GangpeiH.Text=this.gb_Stuff.ActiveRow.Cells["OLD_SAMPL_NO"].Value.ToString();
			this.cmb_B.Value=this.gb_Stuff.ActiveRow.Cells["BUTTRESS"].Value.ToString();
		}

		#region "导出报表"
		private void ExportButtressInfo()
		{
			if(this.gb_Stuff.Rows.Count > 0)
			{
				Comm.ExPortExcel(this.gb_Stuff,this.excelExporter);
			}
			else
			{
				MessageBox.Show("无信息数据，不能导出！","提示",MessageBoxButtons.OK,MessageBoxIcon.Information);
			}

		}
		#endregion 

        private void cmb_AreaC_ValueChanged(object sender, EventArgs e)
        {
            try
            {
                string areaCode = "";
                string buttressCode = "";
                string strOut = "";



                areaCode = this.cmb_AreaC.Value.ToString();
                if (areaCode != "")
                {





                    DataSet ds = (DataSet)Core.Mes.ClientFrameWork.ClientCommon._RemotingHelp.ExecuteMethod("BJZWJBStuff", "Core.XgMes.Server.JGKC.RollManager.StuffReceiveManage",
                        "QueryFJButtress", new object[] { buttressCode, areaCode, "0" }, out strOut);
                    if (strOut == "")
                    {
                        this.cmb_BuressMove.DataSource = ds;

                    }
                    else
                    {
                        MessageBox.Show(strOut, "提示", MessageBoxButtons.OK, MessageBoxIcon.Warning);
                    }
                }
            }
            catch (Exception et)
            {
                throw et;
            }
        }


	}
}
